Bug 1712446 - mariadb module stream 10.4 with server profile can't be installed
Summary: mariadb module stream 10.4 with server profile can't be installed
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mariadb
Version: rawhide
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Michal Schorm
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-05-21 14:21 UTC by Martin Kolman
Modified: 2019-07-03 01:09 UTC (History)
11 users (show)

Fixed In Version: mariadb-10.4-3020190621125224.a5b0195c mariadb-10.4-2920190621125224.6c81f848
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-03 01:00:41 UTC


Attachments (Terms of Use)

Description Martin Kolman 2019-05-21 14:21:10 UTC
Description of problem:
Attempting to install the mariadb module with stream 10.3 and profile server fails due to conflicting requests.

Version-Release number of selected component (if applicable):
# dnf module info mariadb:10.4/server
Last metadata expiration check: 0:04:02 ago on Tue 21 May 2019 04:13:43 PM CEST.
Ignoring unnecessary profile: 'mariadb/server'
Name             : mariadb
Stream           : 10.4
Version          : 3120190313091759
Context          : f636be4b
Architecture     : x86_64
Profiles         : devel, client, galera, server [d]
Default profiles : server
Repo             : rawhide-modular
Summary          : MariaDB: a very fast and robust SQL database server
Description      : MariaDB is a community developed branch of MySQL. MariaDB is a multi-user, multi-threaded SQL database server. It is a client/server implementation consisting of a server daemon (mysqld) and many different client programs and libraries. The base package contains the standard MariaDB/MySQL client programs and generic MySQL files.
Artifacts        : galera-0:26.4.0-1.module_f31+3616+e565542e.src
                 : galera-0:26.4.0-1.module_f31+3616+e565542e.x86_64
                 : galera-debuginfo-0:26.4.0-1.module_f31+3616+e565542e.x86_64
                 : galera-debugsource-0:26.4.0-1.module_f31+3616+e565542e.x86_64
                 : mariadb-3:10.4.2-1.beta.module_f31+3616+e565542e.src
                 : mariadb-3:10.4.2-1.beta.module_f31+3616+e565542e.x86_64
                 : mariadb-backup-3:10.4.2-1.beta.module_f31+3616+e565542e.x86_64
                 : mariadb-backup-debuginfo-3:10.4.2-1.beta.module_f31+3616+e565542e.x86_64
                 : mariadb-bench-3:10.4.2-1.beta.module_f31+3616+e565542e.x86_64
                 : mariadb-common-3:10.4.2-1.beta.module_f31+3616+e565542e.x86_64
                 : mariadb-connect-engine-3:10.4.2-1.beta.module_f31+3616+e565542e.x86_64
                 : mariadb-connect-engine-debuginfo-3:10.4.2-1.beta.module_f31+3616+e565542e.x86_64
                 : mariadb-cracklib-password-check-3:10.4.2-1.beta.module_f31+3616+e565542e.x86_64
                 : mariadb-cracklib-password-check-debuginfo-3:10.4.2-1.beta.module_f31+3616+e565542e.x86_64
                 : mariadb-debuginfo-3:10.4.2-1.beta.module_f31+3616+e565542e.x86_64
                 : mariadb-debugsource-3:10.4.2-1.beta.module_f31+3616+e565542e.x86_64
                 : mariadb-devel-3:10.4.2-1.beta.module_f31+3616+e565542e.x86_64
                 : mariadb-embedded-3:10.4.2-1.beta.module_f31+3616+e565542e.x86_64
                 : mariadb-embedded-debuginfo-3:10.4.2-1.beta.module_f31+3616+e565542e.x86_64
                 : mariadb-embedded-devel-3:10.4.2-1.beta.module_f31+3616+e565542e.x86_64
                 : mariadb-errmsg-3:10.4.2-1.beta.module_f31+3616+e565542e.x86_64
                 : mariadb-gssapi-server-3:10.4.2-1.beta.module_f31+3616+e565542e.x86_64
                 : mariadb-gssapi-server-debuginfo-3:10.4.2-1.beta.module_f31+3616+e565542e.x86_64
                 : mariadb-oqgraph-engine-3:10.4.2-1.beta.module_f31+3616+e565542e.x86_64
                 : mariadb-oqgraph-engine-debuginfo-3:10.4.2-1.beta.module_f31+3616+e565542e.x86_64
                 : mariadb-rocksdb-engine-3:10.4.2-1.beta.module_f31+3616+e565542e.x86_64
                 : mariadb-rocksdb-engine-debuginfo-3:10.4.2-1.beta.module_f31+3616+e565542e.x86_64
                 : mariadb-server-3:10.4.2-1.beta.module_f31+3616+e565542e.x86_64
                 : mariadb-server-debuginfo-3:10.4.2-1.beta.module_f31+3616+e565542e.x86_64
                 : mariadb-server-galera-3:10.4.2-1.beta.module_f31+3616+e565542e.x86_64
                 : mariadb-server-utils-3:10.4.2-1.beta.module_f31+3616+e565542e.x86_64
                 : mariadb-server-utils-debuginfo-3:10.4.2-1.beta.module_f31+3616+e565542e.x86_64
                 : mariadb-sphinx-engine-3:10.4.2-1.beta.module_f31+3616+e565542e.x86_64
                 : mariadb-sphinx-engine-debuginfo-3:10.4.2-1.beta.module_f31+3616+e565542e.x86_64
                 : mariadb-test-3:10.4.2-1.beta.module_f31+3616+e565542e.x86_64
                 : mariadb-test-debuginfo-3:10.4.2-1.beta.module_f31+3616+e565542e.x86_64
                 : mariadb-tokudb-engine-3:10.4.2-1.beta.module_f31+3616+e565542e.x86_64
                 : mariadb-tokudb-engine-debuginfo-3:10.4.2-1.beta.module_f31+3616+e565542e.x86_64

Hint: [d]efault, [e]nabled, [x]disabled, [i]nstalled, [a]ctive


How reproducible:
Always.

Steps to Reproduce:
1. run as root:
dnf module install mariadb:10.4/server

Actual results:
Last metadata expiration check: 0:01:23 ago on Tue 21 May 2019 04:13:43 PM CEST.
Error: 
 Problem: conflicting requests
  - nothing provides libwsrep-lib.so()(64bit) needed by mariadb-server-3:10.4.2-1.beta.module_f31+3616+e565542e.x86_64
  - nothing provides libwsrep_api_v26.so()(64bit) needed by mariadb-server-3:10.4.2-1.beta.module_f31+3616+e565542e.x86_64
(try to add '--skip-broken' to skip uninstallable packages)

Expected results:
Module can be installed.

Additional info:
Installing the 10.3 stream + server pfoile works, as well as installing the 10.3 stream and the client profile.

We install the mariadb:10.3/server module in one of the Anaconda integration tests that are testing module installation, which is how we found out about this issue.

Comment 1 Fedora Update System 2019-06-20 23:38:14 UTC
FEDORA-MODULAR-2019-49349c4622 has been submitted as an update to Fedora 30 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2019-49349c4622

Comment 2 Fedora Update System 2019-06-22 01:24:29 UTC
FEDORA-MODULAR-2019-a01b1fe26e has been submitted as an update to Fedora 30 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2019-a01b1fe26e

Comment 3 Fedora Update System 2019-06-22 01:24:31 UTC
FEDORA-MODULAR-2019-1849352fe1 has been submitted as an update to Fedora 29 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2019-1849352fe1

Comment 4 Fedora Update System 2019-06-22 01:46:26 UTC
mariadb-10.4-3020190620161530.a5b0195c has been pushed to the Fedora 30 Modular testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2019-49349c4622

Comment 5 Fedora Update System 2019-06-22 02:42:27 UTC
mariadb-10.4-2920190620161530.6c81f848 has been pushed to the Fedora 29 Modular testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2019-3c78b62b00

Comment 6 Fedora Update System 2019-06-23 02:46:52 UTC
mariadb-10.4-3020190621125224.a5b0195c has been pushed to the Fedora 30 Modular testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2019-a01b1fe26e

Comment 7 Fedora Update System 2019-06-23 03:53:01 UTC
mariadb-10.4-2920190621125224.6c81f848 has been pushed to the Fedora 29 Modular testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2019-1849352fe1

Comment 8 Fedora Update System 2019-07-03 01:00:41 UTC
mariadb-10.4-3020190621125224.a5b0195c has been pushed to the Fedora 30 Modular stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2019-07-03 01:09:57 UTC
mariadb-10.4-2920190621125224.6c81f848 has been pushed to the Fedora 29 Modular stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.